`timescale 1 ns/100 ps
// Version: 9.0 SP2 9.0.3.3


module fifo64x16(DATA,Q,WE,RE,CLK,FULL,EMPTY,RESET,AEMPTY,AFULL);
input [15:0] DATA;
output [15:0] Q;
input  WE, RE, CLK;
output  FULL, EMPTY;
input  RESET;
output  AEMPTY, AFULL;

    wire WEP, REP, MEM_RADDR_0_net, RBINNXTSHIFT_0_net, 
        MEM_WADDR_0_net, WBINNXTSHIFT_0_net, MEM_RADDR_1_net, 
        RBINNXTSHIFT_1_net, MEM_WADDR_1_net, WBINNXTSHIFT_1_net, 
        MEM_RADDR_2_net, RBINNXTSHIFT_2_net, MEM_WADDR_2_net, 
        WBINNXTSHIFT_2_net, MEM_RADDR_3_net, RBINNXTSHIFT_3_net, 
        MEM_WADDR_3_net, WBINNXTSHIFT_3_net, MEM_RADDR_4_net, 
        RBINNXTSHIFT_4_net, MEM_WADDR_4_net, WBINNXTSHIFT_4_net, 
        MEM_RADDR_5_net, RBINNXTSHIFT_5_net, MEM_WADDR_5_net, 
        WBINNXTSHIFT_5_net, MEM_RADDR_6_net, RBINNXTSHIFT_6_net, 
        MEM_WADDR_6_net, WBINNXTSHIFT_6_net, FULLINT, MEMORYWE, 
        MEMWENEG, WDIFF_0_net, WDIFF_1_net, WDIFF_2_net, 
        WDIFF_3_net, WDIFF_4_net, WDIFF_5_net, WDIFF_6_net, 
        AFVALCONST_0_net, AFVALCONST_1_net, WGRY_0_net, 
        WGRY_1_net, WGRY_2_net, WGRY_3_net, WGRY_4_net, 
        WGRY_5_net, WGRY_6_net, EMPTYINT, MEMORYRE, MEMRENEG, 
        RDIFF_0_net, RDIFF_1_net, RDIFF_2_net, RDIFF_3_net, 
        RDIFF_4_net, RDIFF_5_net, RDIFF_6_net;
    wire AEVALCONST_0_net = AFVALCONST_0_net;
    wire AEVALCONST_2_net = AFVALCONST_1_net;
    wire DVLDI, DVLDX, RGRY_0_net, RGRY_1_net, RGRY_2_net, 
        RGRY_3_net, RGRY_4_net, RGRY_5_net, RGRY_6_net, QXI_0_net, 
        QXI_1_net, QXI_2_net, QXI_3_net, QXI_4_net, QXI_5_net, 
        QXI_6_net, QXI_7_net, QXI_8_net, QXI_9_net, QXI_10_net, 
        QXI_11_net, QXI_12_net, QXI_13_net, QXI_14_net, 
        QXI_15_net, NAND2_1_Y, AOI1_0_Y, AND3_0_Y, NAND3A_3_Y, 
        AO1D_0_Y, OR2A_6_Y, AO1C_0_Y, AO1C_10_Y, OR2A_0_Y, 
        AO1C_8_Y, NOR2A_0_Y, AO1C_4_Y, AO1C_2_Y, OR2A_1_Y, 
        AO1C_11_Y, NOR3A_0_Y, OR2A_7_Y, NAND3A_1_Y, XNOR2_18_Y, 
        XNOR2_2_Y, XNOR2_7_Y, NOR2A_2_Y, INV_0_Y, INV_10_Y, 
        INV_3_Y, INV_13_Y, INV_12_Y, INV_8_Y, INV_7_Y, AND2_19_Y, 
        AND2_14_Y, AND2_39_Y, AND2_33_Y, AND2_57_Y, AND2_27_Y, 
        AND2_30_Y, AND2_54_Y, XOR2_5_Y, XOR2_6_Y, XOR2_0_Y, 
        XOR2_38_Y, XOR2_14_Y, XOR2_33_Y, AND2_40_Y, AO1_7_Y, 
        AND2_32_Y, AO1_14_Y, AND2_1_Y, AND2_53_Y, AO1_23_Y, 
        AND2_41_Y, AND2_49_Y, AND2_5_Y, OR3_1_Y, AO1_3_Y, AO1_8_Y, 
        AO1_10_Y, AO1_1_Y, XOR2_31_Y, XOR2_8_Y, XOR2_21_Y, 
        XOR2_61_Y, XOR2_25_Y, XOR2_40_Y, AOI1_1_Y, OR2_0_Y, 
        AND3_1_Y, NAND3A_2_Y, AO1D_1_Y, OR2A_4_Y, AO1C_6_Y, 
        AO1C_7_Y, OR2A_5_Y, AO1C_1_Y, NOR2A_3_Y, AO1C_5_Y, 
        AO1C_3_Y, OR2A_2_Y, AO1C_9_Y, NOR3A_1_Y, OR2A_3_Y, 
        NAND3A_0_Y, XNOR2_9_Y, XNOR2_3_Y, XNOR2_12_Y, XOR2_32_Y, 
        XOR2_28_Y, XOR2_18_Y, XOR2_53_Y, XOR2_47_Y, XOR2_29_Y, 
        XOR2_42_Y, AND2_37_Y, AND2_7_Y, AND2_3_Y, AND2_44_Y, 
        AND2_8_Y, AND2_45_Y, XOR2_37_Y, XOR2_30_Y, XOR2_17_Y, 
        XOR2_60_Y, XOR2_58_Y, XOR2_56_Y, XOR2_1_Y, AND2_24_Y, 
        AO1_19_Y, AND2_12_Y, AO1_5_Y, AND2_58_Y, AND2_50_Y, 
        AND2_13_Y, AND2_9_Y, AND2_48_Y, AO1_20_Y, AND2_47_Y, 
        AND2_20_Y, AO1_0_Y, AO1_28_Y, AO1_6_Y, AO1_21_Y, AO1_17_Y, 
        XOR2_19_Y, XOR2_57_Y, XOR2_26_Y, XOR2_48_Y, XOR2_12_Y, 
        XOR2_62_Y, AND2A_0_Y, XOR2_13_Y, XOR2_22_Y, XOR2_44_Y, 
        XOR2_45_Y, XOR2_59_Y, XOR2_63_Y, XOR2_54_Y, AND2_26_Y, 
        AND2_11_Y, AND2_42_Y, AND2_2_Y, AND2_10_Y, AND2_0_Y, 
        XOR2_55_Y, XOR2_3_Y, XOR2_7_Y, XOR2_2_Y, XOR2_9_Y, 
        XOR2_24_Y, XOR2_51_Y, AND2_61_Y, AO1_24_Y, AND2_52_Y, 
        AO1_11_Y, AND2_31_Y, AND2_18_Y, AND2_6_Y, AND2_16_Y, 
        AND2_15_Y, AO1_27_Y, AND2_46_Y, AND2_55_Y, AO1_15_Y, 
        AO1_16_Y, AO1_29_Y, AO1_9_Y, AO1_26_Y, XOR2_16_Y, 
        XOR2_49_Y, XOR2_64_Y, XOR2_39_Y, XOR2_36_Y, XOR2_50_Y, 
        NAND2_0_Y, NOR2A_1_Y, INV_4_Y, INV_11_Y, INV_5_Y, INV_2_Y, 
        INV_1_Y, INV_9_Y, INV_6_Y, AND2_43_Y, AND2_35_Y, AND2_4_Y, 
        AND2_60_Y, AND2_21_Y, AND2_56_Y, AND2_59_Y, AND2_17_Y, 
        XOR2_10_Y, XOR2_11_Y, XOR2_4_Y, XOR2_46_Y, XOR2_20_Y, 
        XOR2_41_Y, AND2_38_Y, AO1_4_Y, AND2_29_Y, AO1_2_Y, 
        AND2_36_Y, AND2_23_Y, AO1_22_Y, AND2_51_Y, AND2_34_Y, 
        AND2_25_Y, OR3_0_Y, AO1_13_Y, AO1_18_Y, AO1_12_Y, 
        AO1_25_Y, XOR2_34_Y, XOR2_15_Y, XOR2_35_Y, XOR2_23_Y, 
        XOR2_27_Y, XOR2_52_Y, AND3_2_Y, XOR2_43_Y, XNOR2_1_Y, 
        XNOR2_13_Y, XNOR2_15_Y, XNOR2_14_Y, XNOR2_0_Y, XNOR2_4_Y, 
        AND3_3_Y, AND2_22_Y, AND3_5_Y, XNOR2_16_Y, XNOR2_8_Y, 
        XNOR2_5_Y, XNOR2_10_Y, XNOR2_11_Y, XNOR2_17_Y, XNOR2_6_Y, 
        AND3_4_Y, AND2_28_Y;
    wire VCC = AFVALCONST_1_net;
    wire GND = AFVALCONST_0_net;
    
    VCC VCC_1_net(.Y(AFVALCONST_1_net));
    GND GND_1_net(.Y(AFVALCONST_0_net));
    INV INV_0(.A(RBINNXTSHIFT_1_net), .Y(INV_0_Y));
    AND2 AND2_2(.A(MEM_RADDR_4_net), .B(GND), .Y(AND2_2_Y));
    DFN1P0 DFN1P0_AEMPTY(.D(AOI1_0_Y), .CLK(CLK), .PRE(RESET), .Q(
        AEMPTY));
    AND2 AND2_20(.A(MEM_WADDR_0_net), .B(MEMORYWE), .Y(AND2_20_Y));
    XNOR2 XNOR2_13(.A(MEM_RADDR_1_net), .B(WBINNXTSHIFT_1_net), 
        .Y(XNOR2_13_Y));
    AO1 AO1_11(.A(XOR2_24_Y), .B(AND2_2_Y), .C(AND2_10_Y), .Y(
        AO1_11_Y));
    AND2 AND2_11(.A(MEM_RADDR_2_net), .B(GND), .Y(AND2_11_Y));
    AND2 AND2_22(.A(XNOR2_0_Y), .B(XNOR2_4_Y), .Y(AND2_22_Y));
    XOR2 XOR2_WBINNXTSHIFT_2_inst(.A(XOR2_57_Y), .B(AO1_0_Y), .Y(
        WBINNXTSHIFT_2_net));
    DFN1C0 DFN1C0_FULL(.D(FULLINT), .CLK(CLK), .CLR(RESET), .Q(
        FULL));
    XNOR2 XNOR2_9(.A(AFVALCONST_1_net), .B(WDIFF_4_net), .Y(
        XNOR2_9_Y));
    AO1C AO1C_3(.A(WDIFF_3_net), .B(AFVALCONST_0_net), .C(
        AO1C_5_Y), .Y(AO1C_3_Y));
    AO1C AO1C_8(.A(RDIFF_2_net), .B(AEVALCONST_2_net), .C(
        OR2A_0_Y), .Y(AO1C_8_Y));
    OR2A OR2A_7(.A(RDIFF_6_net), .B(AEVALCONST_0_net), .Y(
        OR2A_7_Y));
    XOR2 XOR2_19(.A(MEM_WADDR_1_net), .B(GND), .Y(XOR2_19_Y));
    AND2 AND2_44(.A(MEM_WADDR_4_net), .B(GND), .Y(AND2_44_Y));
    XOR2 XOR2_1(.A(MEM_WADDR_6_net), .B(GND), .Y(XOR2_1_Y));
    XOR2 XOR2_23(.A(WBINNXTSHIFT_4_net), .B(INV_2_Y), .Y(
        XOR2_23_Y));
    DFN1E1C0 DFN1E1C0_Q_1_inst(.D(QXI_1_net), .CLK(CLK), .CLR(
        RESET), .E(DVLDI), .Q(Q[1]));
    DFN1E1C0 DFN1E1C0_Q_4_inst(.D(QXI_4_net), .CLK(CLK), .CLR(
        RESET), .E(DVLDI), .Q(Q[4]));
    INV INV_1(.A(MEM_RADDR_5_net), .Y(INV_1_Y));
    DFN1E1C0 DFN1E1C0_Q_7_inst(.D(QXI_7_net), .CLK(CLK), .CLR(
        RESET), .E(DVLDI), .Q(Q[7]));
    XOR2 XOR2_47(.A(WBINNXTSHIFT_4_net), .B(WBINNXTSHIFT_5_net), 
        .Y(XOR2_47_Y));
    XOR2 XOR2_38(.A(MEM_WADDR_4_net), .B(INV_13_Y), .Y(XOR2_38_Y));
    XOR2 XOR2_RBINNXTSHIFT_0_inst(.A(MEM_RADDR_0_net), .B(
        MEMORYRE), .Y(RBINNXTSHIFT_0_net));
    AO1 AO1_7(.A(XOR2_38_Y), .B(AND2_57_Y), .C(AND2_27_Y), .Y(
        AO1_7_Y));
    AO1C AO1C_1(.A(AFVALCONST_0_net), .B(WDIFF_2_net), .C(
        OR2A_5_Y), .Y(AO1C_1_Y));
    DFN1C0 DFN1C0_WGRY_6_inst(.D(XOR2_42_Y), .CLK(CLK), .CLR(
        RESET), .Q(WGRY_6_net));
    AND2 AND2_18(.A(AND2_61_Y), .B(AND2_52_Y), .Y(AND2_18_Y));
    AND2 AND2_15(.A(AND2_18_Y), .B(XOR2_9_Y), .Y(AND2_15_Y));
    AO1 AO1_25(.A(XOR2_20_Y), .B(AO1_12_Y), .C(AND2_59_Y), .Y(
        AO1_25_Y));
    INV INV_7(.A(NOR2A_2_Y), .Y(INV_7_Y));
    XOR2 XOR2_RDIFF_3_inst(.A(XOR2_21_Y), .B(AO1_3_Y), .Y(
        RDIFF_3_net));
    AO1C AO1C_7(.A(AFVALCONST_0_net), .B(WDIFF_3_net), .C(
        AO1C_6_Y), .Y(AO1C_7_Y));
    XOR2 XOR2_45(.A(RBINNXTSHIFT_3_net), .B(RBINNXTSHIFT_4_net), 
        .Y(XOR2_45_Y));
    AND2 AND2_1(.A(XOR2_14_Y), .B(XOR2_33_Y), .Y(AND2_1_Y));
    DFN1C0 DFN1C0_MEM_WADDR_0_inst(.D(WBINNXTSHIFT_0_net), .CLK(
        CLK), .CLR(RESET), .Q(MEM_WADDR_0_net));
    AND2 AND2_49(.A(AND2_40_Y), .B(XOR2_0_Y), .Y(AND2_49_Y));
    DFN1C0 DFN1C0_MEM_WADDR_3_inst(.D(WBINNXTSHIFT_3_net), .CLK(
        CLK), .CLR(RESET), .Q(MEM_WADDR_3_net));
    DFN1C0 DFN1C0_MEM_RADDR_1_inst(.D(RBINNXTSHIFT_1_net), .CLK(
        CLK), .CLR(RESET), .Q(MEM_RADDR_1_net));
    AO1 AO1_8(.A(XOR2_0_Y), .B(AO1_3_Y), .C(AND2_57_Y), .Y(
        AO1_8_Y));
    AND2 AND2_10(.A(MEM_RADDR_5_net), .B(GND), .Y(AND2_10_Y));
    AND2 AND2_7(.A(MEM_WADDR_2_net), .B(GND), .Y(AND2_7_Y));
    XOR2 XOR2_20(.A(WBINNXTSHIFT_5_net), .B(INV_1_Y), .Y(
        XOR2_20_Y));
    XOR2 XOR2_63(.A(RBINNXTSHIFT_5_net), .B(RBINNXTSHIFT_6_net), 
        .Y(XOR2_63_Y));
    AO1C AO1C_10(.A(RDIFF_3_net), .B(AEVALCONST_0_net), .C(
        AO1C_0_Y), .Y(AO1C_10_Y));
    AOI1 AOI1_1(.A(AND3_1_Y), .B(AO1D_1_Y), .C(NAND3A_2_Y), .Y(
        AOI1_1_Y));
    OR3 OR3_1(.A(AND2_19_Y), .B(AND2_14_Y), .C(AND2_39_Y), .Y(
        OR3_1_Y));
    AND2 AND2_12(.A(XOR2_17_Y), .B(XOR2_60_Y), .Y(AND2_12_Y));
    DFN1C0 DFN1C0_WGRY_5_inst(.D(XOR2_29_Y), .CLK(CLK), .CLR(
        RESET), .Q(WGRY_5_net));
    XOR2 XOR2_52(.A(WBINNXTSHIFT_6_net), .B(INV_9_Y), .Y(
        XOR2_52_Y));
    AO1C AO1C_4(.A(RDIFF_3_net), .B(AEVALCONST_0_net), .C(
        NOR2A_0_Y), .Y(AO1C_4_Y));
    AND2 AND2_61(.A(XOR2_55_Y), .B(XOR2_3_Y), .Y(AND2_61_Y));
    DFN1C0 DFN1C0_MEM_WADDR_4_inst(.D(WBINNXTSHIFT_4_net), .CLK(
        CLK), .CLR(RESET), .Q(MEM_WADDR_4_net));
    XOR2 XOR2_WBINNXTSHIFT_0_inst(.A(MEM_WADDR_0_net), .B(
        MEMORYWE), .Y(WBINNXTSHIFT_0_net));
    AO1 AO1_15(.A(XOR2_3_Y), .B(AND2_55_Y), .C(AND2_26_Y), .Y(
        AO1_15_Y));
    AND2 AND2_EMPTYINT(.A(AND3_5_Y), .B(XNOR2_16_Y), .Y(EMPTYINT));
    XOR2 XOR2_24(.A(MEM_RADDR_5_net), .B(GND), .Y(XOR2_24_Y));
    AND2 AND2_57(.A(MEM_WADDR_3_net), .B(INV_3_Y), .Y(AND2_57_Y));
    XOR2 XOR2_21(.A(MEM_WADDR_3_net), .B(INV_3_Y), .Y(XOR2_21_Y));
    XOR2 XOR2_WDIFF_5_inst(.A(XOR2_27_Y), .B(AO1_12_Y), .Y(
        WDIFF_5_net));
    INV INV_11(.A(MEM_RADDR_2_net), .Y(INV_11_Y));
    AND2 AND2_46(.A(AND2_6_Y), .B(XOR2_51_Y), .Y(AND2_46_Y));
    XOR2 XOR2_16(.A(MEM_RADDR_1_net), .B(GND), .Y(XOR2_16_Y));
    XOR2 XOR2_60(.A(MEM_WADDR_3_net), .B(GND), .Y(XOR2_60_Y));
    AO1 AO1_24(.A(XOR2_2_Y), .B(AND2_11_Y), .C(AND2_42_Y), .Y(
        AO1_24_Y));
    AND2 AND2_43(.A(WBINNXTSHIFT_1_net), .B(INV_4_Y), .Y(
        AND2_43_Y));
    AND3 AND3_3(.A(XNOR2_1_Y), .B(XNOR2_13_Y), .C(XNOR2_15_Y), .Y(
        AND3_3_Y));
    INV INV_5(.A(MEM_RADDR_3_net), .Y(INV_5_Y));
    OR2 OR2_0(.A(AOI1_1_Y), .B(FULL), .Y(OR2_0_Y));
    INV MEMWEBUBBLE(.A(MEMORYWE), .Y(MEMWENEG));
    AND2 AND2_6(.A(AND2_18_Y), .B(AND2_31_Y), .Y(AND2_6_Y));
    XOR2 XOR2_64(.A(MEM_RADDR_3_net), .B(GND), .Y(XOR2_64_Y));
    AND3 AND3_0(.A(XNOR2_18_Y), .B(XNOR2_2_Y), .C(XNOR2_7_Y), .Y(
        AND3_0_Y));
    AND2 AND2_60(.A(WBINNXTSHIFT_2_net), .B(INV_11_Y), .Y(
        AND2_60_Y));
    DFN1C0 DFN1C0_MEM_RADDR_2_inst(.D(RBINNXTSHIFT_2_net), .CLK(
        CLK), .CLR(RESET), .Q(MEM_RADDR_2_net));
    XOR2 XOR2_61(.A(MEM_WADDR_4_net), .B(INV_13_Y), .Y(XOR2_61_Y));
    OR2A OR2A_4(.A(AFVALCONST_1_net), .B(WDIFF_1_net), .Y(
        OR2A_4_Y));
    XOR2 XOR2_57(.A(MEM_WADDR_2_net), .B(GND), .Y(XOR2_57_Y));
    DFN1C0 DFN1C0_RGRY_2_inst(.D(XOR2_44_Y), .CLK(CLK), .CLR(
        RESET), .Q(RGRY_2_net));
    XOR2 XOR2_33(.A(MEM_WADDR_6_net), .B(INV_8_Y), .Y(XOR2_33_Y));
    INV INV_3(.A(RBINNXTSHIFT_3_net), .Y(INV_3_Y));
    XNOR2 XNOR2_2(.A(RDIFF_5_net), .B(AEVALCONST_0_net), .Y(
        XNOR2_2_Y));
    XOR2 XOR2_49(.A(MEM_RADDR_2_net), .B(GND), .Y(XOR2_49_Y));
    AO1 AO1_14(.A(XOR2_33_Y), .B(AND2_30_Y), .C(AND2_54_Y), .Y(
        AO1_14_Y));
    XOR2 XOR2_4(.A(WBINNXTSHIFT_3_net), .B(INV_5_Y), .Y(XOR2_4_Y));
    XOR2 XOR2_WDIFF_0_inst(.A(WBINNXTSHIFT_0_net), .B(
        MEM_RADDR_0_net), .Y(WDIFF_0_net));
    AND3 AND3_1(.A(XNOR2_9_Y), .B(XNOR2_3_Y), .C(XNOR2_12_Y), .Y(
        AND3_1_Y));
    XOR2 XOR2_55(.A(MEM_RADDR_0_net), .B(MEMORYRE), .Y(XOR2_55_Y));
    AND2 AND2_24(.A(XOR2_37_Y), .B(XOR2_30_Y), .Y(AND2_24_Y));
    AO1C AO1C_5(.A(AFVALCONST_0_net), .B(WDIFF_3_net), .C(
        NOR2A_3_Y), .Y(AO1C_5_Y));
    XNOR2 XNOR2_0(.A(MEM_RADDR_4_net), .B(WBINNXTSHIFT_4_net), .Y(
        XNOR2_0_Y));
    AND2 AND2_31(.A(XOR2_9_Y), .B(XOR2_24_Y), .Y(AND2_31_Y));
    OR2A OR2A_3(.A(AFVALCONST_0_net), .B(WDIFF_6_net), .Y(
        OR2A_3_Y));
    XOR2 XOR2_18(.A(WBINNXTSHIFT_2_net), .B(WBINNXTSHIFT_3_net), 
        .Y(XOR2_18_Y));
    OR2A OR2A_6(.A(RDIFF_1_net), .B(AEVALCONST_0_net), .Y(
        OR2A_6_Y));
    XOR2 XOR2_RBINNXTSHIFT_4_inst(.A(XOR2_39_Y), .B(AO1_29_Y), .Y(
        RBINNXTSHIFT_4_net));
    DFN1C0 DFN1C0_RGRY_1_inst(.D(XOR2_22_Y), .CLK(CLK), .CLR(
        RESET), .Q(RGRY_1_net));
    DFN1C0 DFN1C0_WGRY_3_inst(.D(XOR2_53_Y), .CLK(CLK), .CLR(
        RESET), .Q(WGRY_3_net));
    XOR2 XOR2_8(.A(MEM_WADDR_2_net), .B(INV_10_Y), .Y(XOR2_8_Y));
    DFN1E1C0 DFN1E1C0_Q_6_inst(.D(QXI_6_net), .CLK(CLK), .CLR(
        RESET), .E(DVLDI), .Q(Q[6]));
    NAND3A NAND3A_0(.A(WDIFF_5_net), .B(AFVALCONST_1_net), .C(
        OR2A_2_Y), .Y(NAND3A_0_Y));
    XOR2 XOR2_RBINNXTSHIFT_6_inst(.A(XOR2_50_Y), .B(AO1_26_Y), .Y(
        RBINNXTSHIFT_6_net));
    XOR2 XOR2_30(.A(MEM_WADDR_1_net), .B(GND), .Y(XOR2_30_Y));
    NOR2A NOR2A_2(.A(RBINNXTSHIFT_0_net), .B(MEM_WADDR_0_net), .Y(
        NOR2A_2_Y));
    AO1C AO1C_11(.A(RDIFF_5_net), .B(AEVALCONST_0_net), .C(
        RDIFF_4_net), .Y(AO1C_11_Y));
    OR2A OR2A_2(.A(WDIFF_6_net), .B(AFVALCONST_0_net), .Y(
        OR2A_2_Y));
    AND2 AND2_38(.A(XOR2_10_Y), .B(XOR2_11_Y), .Y(AND2_38_Y));
    AND2 AND2_35(.A(WBINNXTSHIFT_1_net), .B(INV_6_Y), .Y(
        AND2_35_Y));
    XOR2 XOR2_RDIFF_0_inst(.A(MEM_WADDR_0_net), .B(
        RBINNXTSHIFT_0_net), .Y(RDIFF_0_net));
    INV MEMREBUBBLE(.A(MEMORYRE), .Y(MEMRENEG));
    XNOR2 XNOR2_RDIFF_1_inst(.A(XOR2_31_Y), .B(NOR2A_2_Y), .Y(
        RDIFF_1_net));
    AND2 AND2_29(.A(XOR2_4_Y), .B(XOR2_46_Y), .Y(AND2_29_Y));
    DFN1C0 DFN1C0_MEM_RADDR_4_inst(.D(RBINNXTSHIFT_4_net), .CLK(
        CLK), .CLR(RESET), .Q(MEM_RADDR_4_net));
    XOR2 XOR2_34(.A(WBINNXTSHIFT_1_net), .B(INV_4_Y), .Y(
        XOR2_34_Y));
    XOR2 XOR2_31(.A(MEM_WADDR_1_net), .B(INV_0_Y), .Y(XOR2_31_Y));
    RAM512X18 RAM512X18_QXI_15_inst(.RADDR8(GND), .RADDR7(GND), 
        .RADDR6(GND), .RADDR5(MEM_RADDR_5_net), .RADDR4(
        MEM_RADDR_4_net), .RADDR3(MEM_RADDR_3_net), .RADDR2(
        MEM_RADDR_2_net), .RADDR1(MEM_RADDR_1_net), .RADDR0(
        MEM_RADDR_0_net), .WADDR8(GND), .WADDR7(GND), .WADDR6(GND)
        , .WADDR5(MEM_WADDR_5_net), .WADDR4(MEM_WADDR_4_net), 
        .WADDR3(MEM_WADDR_3_net), .WADDR2(MEM_WADDR_2_net), 
        .WADDR1(MEM_WADDR_1_net), .WADDR0(MEM_WADDR_0_net), .WD17(
        GND), .WD16(GND), .WD15(DATA[15]), .WD14(DATA[14]), .WD13(
        DATA[13]), .WD12(DATA[12]), .WD11(DATA[11]), .WD10(
        DATA[10]), .WD9(DATA[9]), .WD8(DATA[8]), .WD7(DATA[7]), 
        .WD6(DATA[6]), .WD5(DATA[5]), .WD4(DATA[4]), .WD3(DATA[3])
        , .WD2(DATA[2]), .WD1(DATA[1]), .WD0(DATA[0]), .RW0(GND), 
        .RW1(VCC), .WW0(GND), .WW1(VCC), .PIPE(GND), .REN(
        MEMRENEG), .WEN(MEMWENEG), .RCLK(CLK), .WCLK(CLK), .RESET(
        RESET), .RD17(), .RD16(), .RD15(QXI_15_net), .RD14(
        QXI_14_net), .RD13(QXI_13_net), .RD12(QXI_12_net), .RD11(
        QXI_11_net), .RD10(QXI_10_net), .RD9(QXI_9_net), .RD8(
        QXI_8_net), .RD7(QXI_7_net), .RD6(QXI_6_net), .RD5(
        QXI_5_net), .RD4(QXI_4_net), .RD3(QXI_3_net), .RD2(
        QXI_2_net), .RD1(QXI_1_net), .RD0(QXI_0_net));
    INV WEBUBBLE(.A(WE), .Y(WEP));
    AND2 AND2_3(.A(MEM_WADDR_3_net), .B(GND), .Y(AND2_3_Y));
    AND2 AND2_30(.A(MEM_WADDR_5_net), .B(INV_12_Y), .Y(AND2_30_Y));
    XOR2 XOR2_WBINNXTSHIFT_4_inst(.A(XOR2_48_Y), .B(AO1_6_Y), .Y(
        WBINNXTSHIFT_4_net));
    XNOR2 XNOR2_6(.A(RBINNXTSHIFT_5_net), .B(MEM_WADDR_5_net), .Y(
        XNOR2_6_Y));
    AND2 AND2_14(.A(MEM_WADDR_1_net), .B(INV_7_Y), .Y(AND2_14_Y));
    INV INV_4(.A(MEM_RADDR_1_net), .Y(INV_4_Y));
    AND2 AND2_32(.A(XOR2_0_Y), .B(XOR2_38_Y), .Y(AND2_32_Y));
    OR2A OR2A_1(.A(AEVALCONST_0_net), .B(RDIFF_6_net), .Y(
        OR2A_1_Y));
    DFN1C0 DFN1C0_MEM_RADDR_5_inst(.D(RBINNXTSHIFT_5_net), .CLK(
        CLK), .CLR(RESET), .Q(MEM_RADDR_5_net));
    XOR2 XOR2_WBINNXTSHIFT_6_inst(.A(XOR2_62_Y), .B(AO1_17_Y), .Y(
        WBINNXTSHIFT_6_net));
    NAND3A NAND3A_2(.A(NOR3A_1_Y), .B(OR2A_3_Y), .C(NAND3A_0_Y), 
        .Y(NAND3A_2_Y));
    XOR2 XOR2_46(.A(WBINNXTSHIFT_4_net), .B(INV_2_Y), .Y(
        XOR2_46_Y));
    XNOR2 XNOR2_11(.A(RBINNXTSHIFT_3_net), .B(MEM_WADDR_3_net), 
        .Y(XNOR2_11_Y));
    AO1 AO1_2(.A(XOR2_41_Y), .B(AND2_59_Y), .C(AND2_17_Y), .Y(
        AO1_2_Y));
    DFN1C0 DFN1C0_WGRY_0_inst(.D(XOR2_32_Y), .CLK(CLK), .CLR(
        RESET), .Q(WGRY_0_net));
    AND2 AND2_26(.A(MEM_RADDR_1_net), .B(GND), .Y(AND2_26_Y));
    XOR2 XOR2_9(.A(MEM_RADDR_4_net), .B(GND), .Y(XOR2_9_Y));
    XOR2 XOR2_WDIFF_2_inst(.A(XOR2_15_Y), .B(OR3_0_Y), .Y(
        WDIFF_2_net));
    AND3 AND3_5(.A(XNOR2_11_Y), .B(AND3_4_Y), .C(AND2_28_Y), .Y(
        AND3_5_Y));
    INV INV_12(.A(RBINNXTSHIFT_5_net), .Y(INV_12_Y));
    XOR2 XOR2_59(.A(RBINNXTSHIFT_4_net), .B(RBINNXTSHIFT_5_net), 
        .Y(XOR2_59_Y));
    AND2 AND2_23(.A(AND2_38_Y), .B(AND2_29_Y), .Y(AND2_23_Y));
    XNOR2 XNOR2_4(.A(MEM_RADDR_5_net), .B(WBINNXTSHIFT_5_net), .Y(
        XNOR2_4_Y));
    AO1C AO1C_9(.A(AFVALCONST_1_net), .B(WDIFF_5_net), .C(
        AFVALCONST_1_net), .Y(AO1C_9_Y));
    XOR2 XOR2_5(.A(MEM_WADDR_1_net), .B(INV_0_Y), .Y(XOR2_5_Y));
    AO1 AO1_28(.A(XOR2_17_Y), .B(AO1_0_Y), .C(AND2_7_Y), .Y(
        AO1_28_Y));
    AND2 AND2_19(.A(MEM_WADDR_1_net), .B(INV_0_Y), .Y(AND2_19_Y));
    DFN1C0 DFN1C0_MEM_RADDR_6_inst(.D(RBINNXTSHIFT_6_net), .CLK(
        CLK), .CLR(RESET), .Q(MEM_RADDR_6_net));
    DFN1E1C0 DFN1E1C0_Q_0_inst(.D(QXI_0_net), .CLK(CLK), .CLR(
        RESET), .E(DVLDI), .Q(Q[0]));
    XOR2 XOR2_22(.A(RBINNXTSHIFT_1_net), .B(RBINNXTSHIFT_2_net), 
        .Y(XOR2_22_Y));
    AO1 AO1_1(.A(XOR2_14_Y), .B(AO1_10_Y), .C(AND2_30_Y), .Y(
        AO1_1_Y));
    XOR2 XOR2_13(.A(RBINNXTSHIFT_0_net), .B(RBINNXTSHIFT_1_net), 
        .Y(XOR2_13_Y));
    INV INV_6(.A(NOR2A_1_Y), .Y(INV_6_Y));
    XNOR2 XNOR2_18(.A(RDIFF_4_net), .B(AEVALCONST_0_net), .Y(
        XNOR2_18_Y));
    AND2 AND2_51(.A(AND2_23_Y), .B(AND2_36_Y), .Y(AND2_51_Y));
    INV REBUBBLE(.A(RE), .Y(REP));
    AO1 AO1_3(.A(XOR2_6_Y), .B(OR3_1_Y), .C(AND2_33_Y), .Y(
        AO1_3_Y));
    AND2 AND2_47(.A(AND2_13_Y), .B(XOR2_1_Y), .Y(AND2_47_Y));
    AO1 AO1_18(.A(XOR2_4_Y), .B(AO1_13_Y), .C(AND2_21_Y), .Y(
        AO1_18_Y));
    XOR2 XOR2_48(.A(MEM_WADDR_4_net), .B(GND), .Y(XOR2_48_Y));
    XOR2 XOR2_RBINNXTSHIFT_3_inst(.A(XOR2_64_Y), .B(AO1_16_Y), .Y(
        RBINNXTSHIFT_3_net));
    AO1C AO1C_0(.A(AEVALCONST_0_net), .B(RDIFF_0_net), .C(
        OR2A_6_Y), .Y(AO1C_0_Y));
    AND2 AND2_16(.A(AND2_61_Y), .B(XOR2_7_Y), .Y(AND2_16_Y));
    XOR2 XOR2_WDIFF_3_inst(.A(XOR2_35_Y), .B(AO1_13_Y), .Y(
        WDIFF_3_net));
    OR2A OR2A_5(.A(WDIFF_1_net), .B(AFVALCONST_1_net), .Y(
        OR2A_5_Y));
    XOR2 XOR2_62(.A(MEM_WADDR_6_net), .B(GND), .Y(XOR2_62_Y));
    AND2 AND2_13(.A(AND2_50_Y), .B(AND2_58_Y), .Y(AND2_13_Y));
    XOR2 XOR2_10(.A(WBINNXTSHIFT_1_net), .B(INV_4_Y), .Y(
        XOR2_10_Y));
    XNOR2 XNOR2_1(.A(MEM_RADDR_0_net), .B(WBINNXTSHIFT_0_net), .Y(
        XNOR2_1_Y));
    AND2 AND2_58(.A(XOR2_58_Y), .B(XOR2_56_Y), .Y(AND2_58_Y));
    AND2 AND2_55(.A(MEM_RADDR_0_net), .B(MEMORYRE), .Y(AND2_55_Y));
    INV INV_8(.A(RBINNXTSHIFT_6_net), .Y(INV_8_Y));
    DFN1C0 DFN1C0_RGRY_4_inst(.D(XOR2_59_Y), .CLK(CLK), .CLR(
        RESET), .Q(RGRY_4_net));
    DFN1C0 DFN1C0_MEM_WADDR_2_inst(.D(WBINNXTSHIFT_2_net), .CLK(
        CLK), .CLR(RESET), .Q(MEM_WADDR_2_net));
    XOR2 XOR2_27(.A(WBINNXTSHIFT_5_net), .B(INV_1_Y), .Y(
        XOR2_27_Y));
    AND2 AND2_MEMORYRE(.A(NAND2_1_Y), .B(REP), .Y(MEMORYRE));
    XOR2 XOR2_WBINNXTSHIFT_3_inst(.A(XOR2_26_Y), .B(AO1_28_Y), .Y(
        WBINNXTSHIFT_3_net));
    XOR2 XOR2_7(.A(MEM_RADDR_2_net), .B(GND), .Y(XOR2_7_Y));
    AND2 AND2_5(.A(AND2_53_Y), .B(XOR2_14_Y), .Y(AND2_5_Y));
    XOR2 XOR2_56(.A(MEM_WADDR_5_net), .B(GND), .Y(XOR2_56_Y));
    XOR2 XOR2_14(.A(MEM_WADDR_5_net), .B(INV_12_Y), .Y(XOR2_14_Y));
    AND2 AND2_50(.A(AND2_24_Y), .B(AND2_12_Y), .Y(AND2_50_Y));
    XNOR2 XNOR2_3(.A(AFVALCONST_1_net), .B(WDIFF_5_net), .Y(
        XNOR2_3_Y));
    XOR2 XOR2_11(.A(WBINNXTSHIFT_2_net), .B(INV_11_Y), .Y(
        XOR2_11_Y));
    NAND3A NAND3A_3(.A(NOR3A_0_Y), .B(OR2A_7_Y), .C(NAND3A_1_Y), 
        .Y(NAND3A_3_Y));
    AND2 AND2_52(.A(XOR2_7_Y), .B(XOR2_2_Y), .Y(AND2_52_Y));
    XOR2 XOR2_25(.A(MEM_WADDR_5_net), .B(INV_12_Y), .Y(XOR2_25_Y));
    XNOR2 XNOR2_15(.A(MEM_RADDR_2_net), .B(WBINNXTSHIFT_2_net), 
        .Y(XNOR2_15_Y));
    AO1 AO1_22(.A(AND2_36_Y), .B(AO1_12_Y), .C(AO1_2_Y), .Y(
        AO1_22_Y));
    DFN1E1C0 DFN1E1C0_Q_11_inst(.D(QXI_11_net), .CLK(CLK), .CLR(
        RESET), .E(DVLDI), .Q(Q[11]));
    AND2 AND2_34(.A(AND2_38_Y), .B(XOR2_4_Y), .Y(AND2_34_Y));
    AO1 AO1_6(.A(AND2_12_Y), .B(AO1_0_Y), .C(AO1_19_Y), .Y(
        AO1_6_Y));
    DFN1E1C0 DFN1E1C0_Q_10_inst(.D(QXI_10_net), .CLK(CLK), .CLR(
        RESET), .E(DVLDI), .Q(Q[10]));
    DFN1C0 DFN1C0_MEM_RADDR_3_inst(.D(RBINNXTSHIFT_3_net), .CLK(
        CLK), .CLR(RESET), .Q(MEM_RADDR_3_net));
    AND3 AND3_2(.A(XNOR2_14_Y), .B(AND3_3_Y), .C(AND2_22_Y), .Y(
        AND3_2_Y));
    AO1 AO1_12(.A(AND2_29_Y), .B(AO1_13_Y), .C(AO1_4_Y), .Y(
        AO1_12_Y));
    NOR3A NOR3A_1(.A(OR2A_2_Y), .B(AO1C_9_Y), .C(WDIFF_4_net), .Y(
        NOR3A_1_Y));
    XOR2 XOR2_32(.A(WBINNXTSHIFT_0_net), .B(WBINNXTSHIFT_1_net), 
        .Y(XOR2_32_Y));
    OR3 OR3_0(.A(AND2_43_Y), .B(AND2_35_Y), .C(AND2_4_Y), .Y(
        OR3_0_Y));
    DFN1E1C0 DFN1E1C0_Q_9_inst(.D(QXI_9_net), .CLK(CLK), .CLR(
        RESET), .E(DVLDI), .Q(Q[9]));
    AND2 AND2_9(.A(AND2_24_Y), .B(XOR2_17_Y), .Y(AND2_9_Y));
    DFN1E1C0 DFN1E1C0_Q_5_inst(.D(QXI_5_net), .CLK(CLK), .CLR(
        RESET), .E(DVLDI), .Q(Q[5]));
    NOR3A NOR3A_0(.A(OR2A_1_Y), .B(AO1C_11_Y), .C(
        AEVALCONST_0_net), .Y(NOR3A_0_Y));
    DFN1C0 DFN1C0_AFULL(.D(OR2_0_Y), .CLK(CLK), .CLR(RESET), .Q(
        AFULL));
    XOR2 XOR2_58(.A(MEM_WADDR_4_net), .B(GND), .Y(XOR2_58_Y));
    XOR2 XOR2_RDIFF_2_inst(.A(XOR2_8_Y), .B(OR3_1_Y), .Y(
        RDIFF_2_net));
    XOR2 XOR2_43(.A(MEM_RADDR_6_net), .B(WBINNXTSHIFT_6_net), .Y(
        XOR2_43_Y));
    INV INV_2(.A(MEM_RADDR_4_net), .Y(INV_2_Y));
    AO1 AO1_9(.A(XOR2_9_Y), .B(AO1_29_Y), .C(AND2_2_Y), .Y(
        AO1_9_Y));
    AND2 AND2_39(.A(INV_0_Y), .B(INV_7_Y), .Y(AND2_39_Y));
    DFN1C0 DFN1C0_DVLDX(.D(DVLDI), .CLK(CLK), .CLR(RESET), .Q(
        DVLDX));
    NAND3A NAND3A_1(.A(AEVALCONST_0_net), .B(RDIFF_5_net), .C(
        OR2A_1_Y), .Y(NAND3A_1_Y));
    NAND2 NAND2_0(.A(FULL), .B(VCC), .Y(NAND2_0_Y));
    DFN1C0 DFN1C0_RGRY_6_inst(.D(XOR2_54_Y), .CLK(CLK), .CLR(
        RESET), .Q(RGRY_6_net));
    AND2 AND2_27(.A(MEM_WADDR_4_net), .B(INV_13_Y), .Y(AND2_27_Y));
    AO1D AO1D_1(.A(AO1C_7_Y), .B(AO1C_1_Y), .C(AO1C_3_Y), .Y(
        AO1D_1_Y));
    DFN1C0 DFN1C0_DVLDI(.D(AND2A_0_Y), .CLK(CLK), .CLR(RESET), .Q(
        DVLDI));
    XNOR2 XNOR2_10(.A(RBINNXTSHIFT_2_net), .B(MEM_WADDR_2_net), 
        .Y(XNOR2_10_Y));
    DFN1E1C0 DFN1E1C0_Q_12_inst(.D(QXI_12_net), .CLK(CLK), .CLR(
        RESET), .E(DVLDI), .Q(Q[12]));
    AND2 AND2_MEMORYWE(.A(NAND2_0_Y), .B(WEP), .Y(MEMORYWE));
    AO1 AO1_20(.A(XOR2_1_Y), .B(AO1_17_Y), .C(AND2_45_Y), .Y(
        AO1_20_Y));
    INV INV_13(.A(RBINNXTSHIFT_4_net), .Y(INV_13_Y));
    DFN1C0 DFN1C0_WGRY_2_inst(.D(XOR2_18_Y), .CLK(CLK), .CLR(
        RESET), .Q(WGRY_2_net));
    AO1 AO1_0(.A(XOR2_30_Y), .B(AND2_20_Y), .C(AND2_37_Y), .Y(
        AO1_0_Y));
    XOR2 XOR2_29(.A(WBINNXTSHIFT_5_net), .B(WBINNXTSHIFT_6_net), 
        .Y(XOR2_29_Y));
    XOR2 XOR2_40(.A(MEM_WADDR_6_net), .B(INV_8_Y), .Y(XOR2_40_Y));
    XOR2 XOR2_2(.A(MEM_RADDR_3_net), .B(GND), .Y(XOR2_2_Y));
    DFN1C0 DFN1C0_RGRY_5_inst(.D(XOR2_63_Y), .CLK(CLK), .CLR(
        RESET), .Q(RGRY_5_net));
    XNOR2 XNOR2_WDIFF_1_inst(.A(XOR2_34_Y), .B(NOR2A_1_Y), .Y(
        WDIFF_1_net));
    AND2 AND2_36(.A(XOR2_20_Y), .B(XOR2_41_Y), .Y(AND2_36_Y));
    XOR2 XOR2_37(.A(MEM_WADDR_0_net), .B(MEMORYWE), .Y(XOR2_37_Y));
    AND2A AND2A_0(.A(EMPTY), .B(REP), .Y(AND2A_0_Y));
    AO1 AO1_26(.A(AND2_31_Y), .B(AO1_29_Y), .C(AO1_11_Y), .Y(
        AO1_26_Y));
    XOR2 XOR2_RBINNXTSHIFT_5_inst(.A(XOR2_36_Y), .B(AO1_9_Y), .Y(
        RBINNXTSHIFT_5_net));
    NOR2A NOR2A_3(.A(AFVALCONST_0_net), .B(WDIFF_2_net), .Y(
        NOR2A_3_Y));
    AO1 AO1_23(.A(AND2_1_Y), .B(AO1_10_Y), .C(AO1_14_Y), .Y(
        AO1_23_Y));
    AOI1 AOI1_0(.A(AND3_0_Y), .B(AO1D_0_Y), .C(NAND3A_3_Y), .Y(
        AOI1_0_Y));
    AND2 AND2_33(.A(MEM_WADDR_2_net), .B(INV_10_Y), .Y(AND2_33_Y));
    XOR2 XOR2_44(.A(RBINNXTSHIFT_2_net), .B(RBINNXTSHIFT_3_net), 
        .Y(XOR2_44_Y));
    AO1 AO1_10(.A(AND2_32_Y), .B(AO1_3_Y), .C(AO1_7_Y), .Y(
        AO1_10_Y));
    XOR2 XOR2_41(.A(WBINNXTSHIFT_6_net), .B(INV_9_Y), .Y(
        XOR2_41_Y));
    XOR2 XOR2_35(.A(WBINNXTSHIFT_3_net), .B(INV_5_Y), .Y(
        XOR2_35_Y));
    DFN1C0 DFN1C0_WGRY_1_inst(.D(XOR2_28_Y), .CLK(CLK), .CLR(
        RESET), .Q(WGRY_1_net));
    DFN1P0 DFN1P0_EMPTY(.D(EMPTYINT), .CLK(CLK), .PRE(RESET), .Q(
        EMPTY));
    DFN1E1C0 DFN1E1C0_Q_3_inst(.D(QXI_3_net), .CLK(CLK), .CLR(
        RESET), .E(DVLDI), .Q(Q[3]));
    NOR2A NOR2A_1(.A(MEM_RADDR_0_net), .B(WBINNXTSHIFT_0_net), .Y(
        NOR2A_1_Y));
    AND2 AND2_41(.A(AND2_53_Y), .B(AND2_1_Y), .Y(AND2_41_Y));
    AND2 AND2_0(.A(MEM_RADDR_6_net), .B(GND), .Y(AND2_0_Y));
    AO1 AO1_16(.A(XOR2_7_Y), .B(AO1_15_Y), .C(AND2_11_Y), .Y(
        AO1_16_Y));
    AND2 AND2_17(.A(WBINNXTSHIFT_6_net), .B(INV_9_Y), .Y(
        AND2_17_Y));
    AO1 AO1_29(.A(AND2_52_Y), .B(AO1_15_Y), .C(AO1_24_Y), .Y(
        AO1_29_Y));
    NOR2A NOR2A_0(.A(RDIFF_2_net), .B(AEVALCONST_2_net), .Y(
        NOR2A_0_Y));
    XOR2 XOR2_6(.A(MEM_WADDR_2_net), .B(INV_10_Y), .Y(XOR2_6_Y));
    AND2 AND2_54(.A(MEM_WADDR_6_net), .B(INV_8_Y), .Y(AND2_54_Y));
    AO1 AO1_13(.A(XOR2_11_Y), .B(OR3_0_Y), .C(AND2_60_Y), .Y(
        AO1_13_Y));
    DFN1E1C0 DFN1E1C0_Q_13_inst(.D(QXI_13_net), .CLK(CLK), .CLR(
        RESET), .E(DVLDI), .Q(Q[13]));
    DFN1C0 DFN1C0_MEM_WADDR_6_inst(.D(WBINNXTSHIFT_6_net), .CLK(
        CLK), .CLR(RESET), .Q(MEM_WADDR_6_net));
    XOR2 XOR2_WBINNXTSHIFT_5_inst(.A(XOR2_12_Y), .B(AO1_21_Y), .Y(
        WBINNXTSHIFT_5_net));
    XOR2 XOR2_53(.A(WBINNXTSHIFT_3_net), .B(WBINNXTSHIFT_4_net), 
        .Y(XOR2_53_Y));
    XOR2 XOR2_RDIFF_6_inst(.A(XOR2_40_Y), .B(AO1_1_Y), .Y(
        RDIFF_6_net));
    OR2A OR2A_0(.A(AEVALCONST_0_net), .B(RDIFF_1_net), .Y(
        OR2A_0_Y));
    XNOR2 XNOR2_12(.A(AFVALCONST_0_net), .B(WDIFF_6_net), .Y(
        XNOR2_12_Y));
    XNOR2 XNOR2_7(.A(RDIFF_6_net), .B(AEVALCONST_0_net), .Y(
        XNOR2_7_Y));
    XOR2 XOR2_12(.A(MEM_WADDR_5_net), .B(GND), .Y(XOR2_12_Y));
    AND2 AND2_48(.A(AND2_50_Y), .B(XOR2_58_Y), .Y(AND2_48_Y));
    AND2 AND2_45(.A(MEM_WADDR_6_net), .B(GND), .Y(AND2_45_Y));
    AO1 AO1_19(.A(XOR2_60_Y), .B(AND2_7_Y), .C(AND2_3_Y), .Y(
        AO1_19_Y));
    XOR2 XOR2_26(.A(MEM_WADDR_3_net), .B(GND), .Y(XOR2_26_Y));
    AND2 AND2_59(.A(WBINNXTSHIFT_5_net), .B(INV_1_Y), .Y(
        AND2_59_Y));
    XOR2 XOR2_RDIFF_4_inst(.A(XOR2_61_Y), .B(AO1_8_Y), .Y(
        RDIFF_4_net));
    AND2 AND2_4(.A(INV_4_Y), .B(INV_6_Y), .Y(AND2_4_Y));
    AND2 AND2_FULLINT(.A(AND3_2_Y), .B(XOR2_43_Y), .Y(FULLINT));
    AND2 AND2_40(.A(XOR2_5_Y), .B(XOR2_6_Y), .Y(AND2_40_Y));
    XOR2 XOR2_WDIFF_6_inst(.A(XOR2_52_Y), .B(AO1_25_Y), .Y(
        WDIFF_6_net));
    XOR2 XOR2_50(.A(MEM_RADDR_6_net), .B(GND), .Y(XOR2_50_Y));
    AND2 AND2_42(.A(MEM_RADDR_3_net), .B(GND), .Y(AND2_42_Y));
    DFN1E1C0 DFN1E1C0_Q_2_inst(.D(QXI_2_net), .CLK(CLK), .CLR(
        RESET), .E(DVLDI), .Q(Q[2]));
    XNOR2 XNOR2_5(.A(RBINNXTSHIFT_1_net), .B(MEM_WADDR_1_net), .Y(
        XNOR2_5_Y));
    AO1 AO1_5(.A(XOR2_56_Y), .B(AND2_44_Y), .C(AND2_8_Y), .Y(
        AO1_5_Y));
    XNOR2 XNOR2_16(.A(RBINNXTSHIFT_6_net), .B(MEM_WADDR_6_net), 
        .Y(XNOR2_16_Y));
    XOR2 XOR2_WDIFF_4_inst(.A(XOR2_23_Y), .B(AO1_18_Y), .Y(
        WDIFF_4_net));
    DFN1C0 DFN1C0_RGRY_3_inst(.D(XOR2_45_Y), .CLK(CLK), .CLR(
        RESET), .Q(RGRY_3_net));
    XOR2 XOR2_39(.A(MEM_RADDR_4_net), .B(GND), .Y(XOR2_39_Y));
    AND2 AND2_8(.A(MEM_WADDR_5_net), .B(GND), .Y(AND2_8_Y));
    XOR2 XOR2_3(.A(MEM_RADDR_1_net), .B(GND), .Y(XOR2_3_Y));
    XOR2 XOR2_54(.A(RBINNXTSHIFT_6_net), .B(GND), .Y(XOR2_54_Y));
    AO1 AO1_27(.A(XOR2_51_Y), .B(AO1_26_Y), .C(AND2_0_Y), .Y(
        AO1_27_Y));
    XOR2 XOR2_51(.A(MEM_RADDR_6_net), .B(GND), .Y(XOR2_51_Y));
    AND2 AND2_56(.A(WBINNXTSHIFT_4_net), .B(INV_2_Y), .Y(
        AND2_56_Y));
    INV INV_10(.A(RBINNXTSHIFT_2_net), .Y(INV_10_Y));
    DFN1C0 DFN1C0_MEM_WADDR_1_inst(.D(WBINNXTSHIFT_1_net), .CLK(
        CLK), .CLR(RESET), .Q(MEM_WADDR_1_net));
    XOR2 XOR2_RBINNXTSHIFT_1_inst(.A(XOR2_16_Y), .B(AND2_55_Y), 
        .Y(RBINNXTSHIFT_1_net));
    XOR2 XOR2_17(.A(MEM_WADDR_2_net), .B(GND), .Y(XOR2_17_Y));
    AND2 AND2_53(.A(AND2_40_Y), .B(AND2_32_Y), .Y(AND2_53_Y));
    DFN1E1C0 DFN1E1C0_Q_15_inst(.D(QXI_15_net), .CLK(CLK), .CLR(
        RESET), .E(DVLDI), .Q(Q[15]));
    XOR2 XOR2_28(.A(WBINNXTSHIFT_1_net), .B(WBINNXTSHIFT_2_net), 
        .Y(XOR2_28_Y));
    INV INV_9(.A(MEM_RADDR_6_net), .Y(INV_9_Y));
    DFN1E1C0 DFN1E1C0_Q_14_inst(.D(QXI_14_net), .CLK(CLK), .CLR(
        RESET), .E(DVLDI), .Q(Q[14]));
    DFN1C0 DFN1C0_MEM_WADDR_5_inst(.D(WBINNXTSHIFT_5_net), .CLK(
        CLK), .CLR(RESET), .Q(MEM_WADDR_5_net));
    XOR2 XOR2_15(.A(WBINNXTSHIFT_2_net), .B(INV_11_Y), .Y(
        XOR2_15_Y));
    DFN1C0 DFN1C0_MEM_RADDR_0_inst(.D(RBINNXTSHIFT_0_net), .CLK(
        CLK), .CLR(RESET), .Q(MEM_RADDR_0_net));
    XOR2 XOR2_RDIFF_5_inst(.A(XOR2_25_Y), .B(AO1_10_Y), .Y(
        RDIFF_5_net));
    AO1 AO1_17(.A(AND2_58_Y), .B(AO1_6_Y), .C(AO1_5_Y), .Y(
        AO1_17_Y));
    XNOR2 XNOR2_17(.A(RBINNXTSHIFT_4_net), .B(MEM_WADDR_4_net), 
        .Y(XNOR2_17_Y));
    AO1D AO1D_0(.A(AO1C_10_Y), .B(AO1C_8_Y), .C(AO1C_2_Y), .Y(
        AO1D_0_Y));
    DFN1E1C0 DFN1E1C0_Q_8_inst(.D(QXI_8_net), .CLK(CLK), .CLR(
        RESET), .E(DVLDI), .Q(Q[8]));
    AND3 AND3_4(.A(XNOR2_8_Y), .B(XNOR2_5_Y), .C(XNOR2_10_Y), .Y(
        AND3_4_Y));
    DFN1C0 DFN1C0_RGRY_0_inst(.D(XOR2_13_Y), .CLK(CLK), .CLR(
        RESET), .Q(RGRY_0_net));
    XOR2 XOR2_WBINNXTSHIFT_1_inst(.A(XOR2_19_Y), .B(AND2_20_Y), 
        .Y(WBINNXTSHIFT_1_net));
    AND2 AND2_21(.A(WBINNXTSHIFT_3_net), .B(INV_5_Y), .Y(
        AND2_21_Y));
    DFN1C0 DFN1C0_WGRY_4_inst(.D(XOR2_47_Y), .CLK(CLK), .CLR(
        RESET), .Q(WGRY_4_net));
    XOR2 XOR2_0(.A(MEM_WADDR_3_net), .B(INV_3_Y), .Y(XOR2_0_Y));
    NAND2 NAND2_1(.A(EMPTY), .B(VCC), .Y(NAND2_1_Y));
    AO1 AO1_4(.A(XOR2_46_Y), .B(AND2_21_Y), .C(AND2_56_Y), .Y(
        AO1_4_Y));
    AND2 AND2_37(.A(MEM_WADDR_1_net), .B(GND), .Y(AND2_37_Y));
    XNOR2 XNOR2_14(.A(MEM_RADDR_3_net), .B(WBINNXTSHIFT_3_net), 
        .Y(XNOR2_14_Y));
    XOR2 XOR2_42(.A(WBINNXTSHIFT_6_net), .B(GND), .Y(XOR2_42_Y));
    XOR2 XOR2_RBINNXTSHIFT_2_inst(.A(XOR2_49_Y), .B(AO1_15_Y), .Y(
        RBINNXTSHIFT_2_net));
    AO1 AO1_21(.A(XOR2_58_Y), .B(AO1_6_Y), .C(AND2_44_Y), .Y(
        AO1_21_Y));
    XOR2 XOR2_36(.A(MEM_RADDR_5_net), .B(GND), .Y(XOR2_36_Y));
    XNOR2 XNOR2_8(.A(RBINNXTSHIFT_0_net), .B(MEM_WADDR_0_net), .Y(
        XNOR2_8_Y));
    AND2 AND2_28(.A(XNOR2_17_Y), .B(XNOR2_6_Y), .Y(AND2_28_Y));
    AND2 AND2_25(.A(AND2_23_Y), .B(XOR2_20_Y), .Y(AND2_25_Y));
    AO1C AO1C_6(.A(WDIFF_0_net), .B(AFVALCONST_0_net), .C(
        OR2A_4_Y), .Y(AO1C_6_Y));
    AO1C AO1C_2(.A(AEVALCONST_0_net), .B(RDIFF_3_net), .C(
        AO1C_4_Y), .Y(AO1C_2_Y));
    
endmodule
